Subject: [os2genau_digest] No. 250
From: "Digest" <newsatos2site dot com>
To: "OS/2GenAu Digest" <deadmail>
Date: Tue, 15 Jan 2002 01:00:00 +1100 (EDT)

Date:- 15 January 2002

1================================================

From: "Daryl Pilkington" <u3232athome.dialix dot com>
Date: Mon, 14 Jan 2002 08:00:41 +1100 (EDT)
Subject: Re: [os2genau] Air-Boot v0.26b officially released.  Works good.!

Excellent,
How about peoples post worked examples of how they partition there
systems & why.

Very Interested in Linux / eCS / W2k arrangements.

Regards,

Daryl  Pilkington 

//// The PC-Therapist, Business Computing Integration
O<O  AUSTRALIA
\_/
<O>  OS/2 Warp, Redhat Linux, DB2
     IBM Certified Systems Expert

        email: darylpatpc-therapist dot com dot au
          ICQ: 91914134
          Mob: 0425-251-300

2==============================================

From: "Robert Traynor  (BobT)" <rtraynoratoptushome dot com dot au>
Date: Mon, 14 Jan 2002 11:09:30 +1100
Subject: [os2genau] Air-Boot Advantages and things I have been able to do so far

Hi All,

The title says it all.

This is just a note to inform everyone of the advantages and otherwise of Air-Boot, 
a new Partition and Boot manager that wholly resides in the Master Boot Record
of modern hard drives.

It will boot any PC operating system currently available and the aim is to make it
flexible to the point where it will be most unlikely to be rendered obsolete by any 
OS in the future.   Air-Boot author, Martin Kiewitz,  hopes Serenity will look at it 
and include it in the eComStation distribution at some later date. 
This would be great. I hate OS/2 BootManager, because it wastes one primary partition.

Apart from the authors' web site, these notes are what I have noticed and that appear to ME
to be relevant and important.

1.  I have booted PcDos7 from the 3rd drive by the simple adjustment of the menu to record a 
preference to ALWAYS boot this partition with NONE of the Preceding primary partitions visible.

2. Air-Boot  can boot an eCS/MCP etc, system with NO IBM BootManager at all.!
And if any drive letters have no LVM assignments, then the system is still able to boot
(provided of course that the partition you are booting to, still has its LVM code intact).

3.After manipulating partitions with Partition Magic 7.0, all the LVM info was lost on the 
two logical partitions both one manipulated and one created.  And on the Extended partition
as this was resized also.  
Additionally the Win2000 NTFS partition was moved further towards the front of the drive.

Normally the eCS installation CD is required to boot and reconfigure LVM.  
On _MY_ system (note emphasis please) this is a major problem. eCS reserves drive letters
for the bootable install CD that interfere with already compatible assigned volumes. 
Namely R: and S:.

I have in the past, turned off my external scsi box and thereby, considerably reduced the 
number of conflicting drive letters.  
To manually change the "Advanced" eCS installation boot CD Menu to use different drive
letters rarely works reliably either.

To cut to the chase, I am now able to boot directly to my eCS partition, even after PM7 manipulation
of partitions.  Next, I go to the commandline and load LVM.EXE and make the necessary changes.
Reboot.  Now here is the only catch so far. The ONLY thing to date I have found that trashes
Air-Boot in the MBR is...... LVM.!  Not Win2000, Not Win98, Not Os2 FDISK, but LVM.

For _ME_, this is a lot quicker than booting from a eCS CD disk just to run LVM.

[I think IBM are finally trying to get back at other operating systems like 
M$ did when installing windows of ANY flavour. :)  ]

Finally, just put a Air-Boot install disk in the floppy drive and reload Air-Boot.

Most of the previous Air-Boot settings are still recorded and generally only most settings to
do with the particular hard drive that PM7 manipulated have to be changed.

4. With Air-Boot (as I did with PowerBoot) I set a profile that ensures that EVERY time
I boot Win2000 ALL the HPFS os2 partitions are HIDDEN. This means that no 
dummy drives appear in Win2000 which take up drive letters.
These dummy drives, as hpfs, are recognizable to Win2000 as valid partitions,
are assigned drive letters, but are not accessible as Win2000 does not have
HPFS support.  There is always a danger that if the HPFS drive has a drive letter,
then some rogue program (Win2000 or Norton Utilities for two) will try and check 
and "fix" it for you.

This is a very good way of getting rid of unwanted hpfs partitions.!

Of course, someone on this list will jump in around now and say that Win2000 can be set to
ignore these HPFS partitions and you can remove the drive letter. ! 
So you can. In fact you have to do BOTH tell Win2000 to ignore the partition AND hide
all HPFS from Win2000.  If you only do one or the other, disaster can strike.
The above is based on MY personal experience. 

YMMV.  <******************emphasis here.!

5. The Author of Dfsee partition repair program is aligning his program to include future support
and tools to suit Air-Boot.  Dfsee knowledge is now available for Air-Boot further development.

I will advise more mumblings from my corner, as regards Air-Boot, as they arise.
All I can say at this point in time is that Air-Boot works and does what I want.

Other features that I have yet to test or even turn on are automatic MBR antivirus
removal and automatic recovery of virus infected MBR and other features of Air-Boot.

Please people have a look at the Air-Boot documentation before jumping in with opinions
or questions. I feel like I am writing a novel here.

I hope this answers some of Daryl  Pilkington's queries as well.

Regards,
Robert Traynor (BobT)
   14 January 2002

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynoratnetstra dot com dot au
 \_,--.x/ 

3==============================================

Date: Mon, 14 Jan 2002 02:16:25 -0500
From: Chris_neeson <Chris_Neesonatcompuserve dot com>
Subject: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?

Does anyone have an OS2 solution for this combination:

- Tekram IDe adapters w onboard cache ( RAM SIMMs )
  ( EISA and VLB tried so far )

- 'large' IDE drives ( >528M ),
  ( so Track Remap is enabled in the adapter BIOS Setup )

- SCSI hard disk drive ( any size )

( I heard about problems with OS2 drivers and Tekram a while ago,
  and thought my system was immune,
  but, naturally, it ain't that easy )

The hardware combination works OK if the IDE drive is < 528M.

But, when I install what I want to be my next IDE disk,
( 1.23G, with Track Remap enabled )

- DOS ( Dear Old System? ) works fine

- but OS2

  - abends with a Trap D when using the EISA adapter
    ( for all versions of Tekram's controller driver )

  - boots to a DOS prompt OK from floppy when using the VLB adapter,
    ( BUT THE SCSI HDD IS NOT RECOGNISED BY THE 'SYSTEM' )

Any ideas?

Regards
Chris

4==============================================

Date: Mon, 14 Jan 2002 19:50:32 +1100
From: Ed Durrant <edurrantatbigpond dot net dot au>
Subject: Re: [os2genau] Tekram controller, IDE hdd > 528M + SCSI hdd?

Your new drive (1.23 GB) I suspect is EIDE, not IDE is this
correct ?? When you say "track remap" where is this, is this
in some special software ?  I remember on old motherboards,
you have to select one of three options to get around the 528MB
IDE barrier but I can't remember what they were, it's sometime
since I've had to do that !

Have you tried using the standard IBm or Dani's EIDE drivers
rather than the Tekram ones ?? I think you might find that
DANIS506.ADD handles Tekram boards, and the IBM IBM1506.ADD 
may also in the meantime.

Cheers/2

Ed.